//
//  GameTableViewCell.h
//  ZegoMiniGameEngineDemo
//
//  Created by zego on 2023/2/3.
//

#import "MenuTableViewCell.h"

@class DemoGameInfo;
NS_ASSUME_NONNULL_BEGIN

typedef void (^ExchangeBlock)(DemoGameInfo *);

typedef void (^preloadBlock)(DemoGameInfo *, UIButton *);

typedef void (^cancelBlock)(DemoGameInfo *, UIButton *);

typedef void (^longTapBlock)(DemoGameInfo *);

@interface GameTableViewCell : MenuTableViewCell

@property (nonatomic, copy) ExchangeBlock exchangeBlock;
@property (nonatomic, copy) preloadBlock preloadBlock;
@property (nonatomic, copy) cancelBlock cancelBlock;
@property (nonatomic, copy) longTapBlock longTapBlock;
@property (nonatomic, strong) UILabel *gamePointsAmountLabel;
- (void)setMiniGameInfo:(DemoGameInfo *)gameInfo;
@end

NS_ASSUME_NONNULL_END
