//
//  ZegoConstants.h
//  ZegoMiniGameEngineDemo
//
//  Created by zego on 2023/1/8.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface ZegoConstants : NSObject

extern NSString *const STREAM_PREFIX;
extern NSString *const LIVE_ROOM_PREFIX;  // 房间的ID的前缀
extern NSString *const ROOM_PREFIX_CHAT;  //语聊房
extern NSString *const ROOM_PREFIX_LIVE;  //直播
extern NSString *const ROOM_PREFIX_GAME;  //单纯游戏房
extern long const BUSINESS_POINT_RESET;
extern long const EXCHANGE_POINT_NUMBER;

//+ (long)SparseArray;
//
+ (NSString *)getErrorMsg:(int)errorCode;
@end



NS_ASSUME_NONNULL_END
